Delete entities by ID
curl --request DELETE \
--url https://api.getcortexapp.com/api/v1/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcortexapp.com/api/v1/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcortexapp.com/api/v1/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Delete entities by ID
Deletes the entities with the given IDs.
DELETE
/
api
/
v1
/
catalog
Delete entities by ID
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Query Parameters
CIDs of the entities to delete, e.g. en2da8159dbeefb974. Entity tags are not accepted.
Response
Successfully deleted entities
Last modified on October 7, 2026